# API

For contract interaction:&#x20;

**Tokens**

* URL:[ ](https://api.metavault.trade/tokens)<https://api.kperp.exchange/tokens>
* Retrieve a list of tokens and info for each token
* USD amounts are multiplied by (10 \*\* 30)
* Token amounts are multiplied by (10 \*\* token.decimals)

**Actions**

* URL: <https://api.kperp.exchange/actions>
* Retrieve a list of actions, these will include swaps, increasing a position, decreasing a position and liquidations
* Params:
  * account (optional): pass in the checksum address of an account
  * after (optional): for pagination, the id to start after
* To get the checksum address: <https://web3-tools.netlify.app/>, you can also use a library like [ethers](https://docs.ethers.io/v5/)

**Volume**

* Hourly:[ ](https://api.metavault.trade/hourly_volume)<https://api.kperp.exchange/hourly_volume>
* Daily: <https://api.kperp.exchange/daily_volume>
* Weekly:[ ](https://api.metavault.trade/weekly_volume)<https://api.kperp.exchange/weekly_volume>
* Total: <https://api.kperp.exchange/total_volume>
* Volumes are separated by action, token, day / week
* Params:
  * after (optional): for pagination, the id to start after

#### Supply

* Circulating supply: <https://api.kperp.exchange/circulating-supply>
* Total supply: <https://api.kperp.exchange/total-supply>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kperp.exchange/kperp.exchange/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
